| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_SEQ_PUSH_FRONT

BOOST_VMD_SEQ_PUSH_FRONT — inserts an element at the beginning of a seq.

## Synopsis

    // In header: <boost/vmd/seq/push_front.hpp>

    BOOST_VMD_SEQ_PUSH_FRONT(seq, elem)

## Description

seq = seq to insert an element at.
elem = element to insert.

If the seq is an empty seq the result is a seq with the single element. Otherwise the result is a seq after inserting the element at the beginning.